AutoPatch

Here you may download the server .

 

when you have downloaded the server you will need to download

2 more programs. All the downloads you need will be posted beloew

 

use this to download the server

Download for :

Net framework 3.5 (which includes 2.5 and 3.0)

Download for :

Net framework 4.5 (which includes 4.0)

If this still doesn't resolve your issue, please download the DirectX SDK (development kit)